/*
 * $Id: Interface_test_map.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interface::test_map"
  bool Interface::test_map (uint32_t depth, bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    std::string tab  = std::string(depth,'\t');
    bool _return = true;

    log_printf(NONE,Behavioural,FUNCTION, "%s* Interface \"%s\"",tab.c_str(),_name.c_str());
    
    for (std::list<Signal*>::iterator i  = _list_signal->begin();
	 i != _list_signal->end();
	 ++i)
      _return &= (*i)->test_map(depth+1,top_level);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
